org.encog.platformspecific.j2se.data.image

## Class ImageMLData

- java.lang.Object
- - org.encog.ml.data.basic.BasicMLData
  - - org.encog.platformspecific.j2se.data.image.ImageMLData

- All Implemented Interfaces:
    Serializable, Cloneable, MLData, CentroidFactory<MLData>

      public class ImageMLData
      extends BasicMLData

  An extension of the BasicNeuralData class that is designed to hold images for input into a neural network. This class should only be used with the ImageNeuralDataSet collection. This class provides the ability to associate images with the elements of a dataset. These images will be downsampled to the resolution specified in the ImageNeuralData set class that they are added to.
  Author:
    jheaton
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageMLData(Image theImage)` Construct an object based on an image.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `downsample(Downsample downsampler, boolean findBounds, int height, int width, double hi, double lo)` Downsample, and copy, the image contents into the data of this object.
    `Image` | `getImage()`
    `void` | `setImage(Image theImage)`

    - ### Methods inherited from class org.encog.ml.data.basic.BasicMLData

      `add, clear, clone, createCentroid, getData, getData, minus, plus, setData, setData, size, times, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageMLData

          public ImageMLData(Image theImage)

      Construct an object based on an image.
      Parameters:
        `theImage` - The image to use.

  - ### Method Detail

    - #### downsample

          public final void downsample(Downsample downsampler,
                        boolean findBounds,
                        int height,
                        int width,
                        double hi,
                        double lo)

      Downsample, and copy, the image contents into the data of this object. Calling this method has no effect on the image, as the same image can be downsampled multiple times to different resolutions.
      Parameters:
        `downsampler` - The downsampler object to use.
        `findBounds` - Should the bounds be located and cropped.
        `height` - The height to downsample to.
        `width` - The width to downsample to.
        `hi` - The high value to normalize to.
        `lo` - The low value to normalize to.

    - #### getImage

          public final Image getImage()

      Returns:
        the image

    - #### setImage

          public final void setImage(Image theImage)

      Parameters:
        `theImage` - the image to set

Copyright © 2014. All Rights Reserved.